/*
 * blanco Framework
 * Copyright (C) 2004-2009 IGA Tosiki
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.sample.jsf;

import javax.el.ELContext;
import javax.el.ELResolver;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;

/**
 * 処理 [BlancoJsfSample2LogicProxy]インタフェース。
 *
 * このインタフェースを継承して [blanco.sample.jsf]パッケージに[BlancoJsfSample2LogicProxy]クラスを作成して実際のバッチ処理を実装してください。<br>
 */
public class BlancoJsfSample2LogicProxy {
    /**
     * クラスをインスタンス化して処理を実行する際のエントリポイントです。
     *
     * @param event イベント。
     */
    public final void execute(final ActionEvent event) {
        final FacesContext ctx = FacesContext.getCurrentInstance();
        final ELContext elc = ctx.getELContext();
        final ELResolver rslvr = ctx.getApplication().getELResolver();

        // Managed Bean [string] を取得します。
        String argString = (String) rslvr.getValue(elc, null, "string");
        // Managed Bean [integer] を取得します。
        Integer argInteger = (Integer) rslvr.getValue(elc, null, "integer");

        // 以下のコードでコンパイル・エラーが発生する場合には、クラス [blanco.sample.jsf.BlancoJsfSample2LogicImpl] を新規に作成してください。
        final BlancoJsfSample2Logic logic = new BlancoJsfSample2LogicImpl();

        try {
            logic.execute(argString, argInteger);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
